|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Q3StrIList Class Reference

The Q3StrIList class provides a doubly-linked list of char* with case-insensitive comparison. More...

    #include <Q3StrIList>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the Qt3Support module.

Inherits Q3StrList.

- List of all members, including inherited members

### Public Functions

- Q3StrIList ( bool deepCopies = true )
- ~Q3StrIList ()

- 3 public functions inherited from Q3StrList
- 39 public functions inherited from Q3PtrList
- 4 public functions inherited from Q3PtrCollection

### Additional Inherited Members

- 3 protected functions inherited from Q3PtrList
- 2 protected functions inherited from Q3PtrCollection

## Detailed Description

The Q3StrIList class provides a doubly-linked list of char* with case-insensitive comparison.

This class is a Q3PtrList<char> instance (a list of char*).

Q3StrIList is identical to Q3StrList except that the virtual compareItems() function is reimplemented to compare strings case-insensitively. The inSort() function inserts strings in a sorted order. In general it is fastest to insert the strings as they come and sort() at the end; inSort() is useful when you just have to add a few extra strings to an already sorted list.

The Q3StrListIterator class works for Q3StrIList.

See also QStringList.

## Member Function Documentation

### Q3StrIList::Q3StrIList ( bool deepCopies = true )

Constructs a list of strings. Will make deep copies of all inserted strings if deepCopies is TRUE, or use shallow copies if deepCopies is FALSE.

### Q3StrIList::~Q3StrIList ()

Destroys the list. All strings are removed.